List all countries
curl --request GET \
--url https://store.salesive.com/api/v1/country/countries \
--header 'Authorization: Bearer <token>' \
--header 'x-shop-id: <api-key>'import requests
url = "https://store.salesive.com/api/v1/country/countries"
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-shop-id': '<api-key>'}
};
fetch('https://store.salesive.com/api/v1/country/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"success": true,
"message": "Countries retrieved",
"data": [
{
"name": "Nigeria",
"shortName": "NG",
"phone": "234",
"currency": "NGN"
}
]
}Country
List countries
Retrieve all supported countries with metadata.
GET
/
country
/
countries
List all countries
Request
GET /country/countries
x-shop-id: {{shopId}}
Headers
| Header | Type | Description |
|---|---|---|
x-shop-id | string | Identify the shop context. |
Successful response
{
"status": 200,
"success": true,
"message": "Countries retrieved",
"data": [
{
"shortName": "NG",
"name": "Nigeria",
"native": "Nigeria",
"phone": "234",
"continent": "AF",
"capital": "Abuja",
"currency": "NGN",
"languages": ["en"],
"emoji": "π³π¬",
"emojiU": "U+1F1F3 U+1F1EC"
},
{
"shortName": "US",
"name": "United States",
"native": "United States",
"phone": "1",
"continent": "NA",
"capital": "Washington D.C.",
"currency": "USD",
"languages": ["en"],
"emoji": "πΊπΈ",
"emojiU": "U+1F1FA U+1F1F8"
}
]
}
Error response
{
"status": 500,
"success": false,
"message": "Internal server error",
"data": {}
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Was this page helpful?
βI

